Skip to main content
GET
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
creatives
List creatives
curl --request GET \
  --url 'https://{domain}/api/v2/network/offers/{offer_id}/creatives?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "creatives": [
      {
        "id": 123,
        "title": "<string>",
        "description": "<string>",
        "type": {
          "id": 123,
          "title": "<string>"
        },
        "image": "<string>",
        "image_width": 123,
        "image_height": 123,
        "image_size": 123,
        "offer_url": {
          "id": 123,
          "title": "<string>",
          "type": "<string>",
          "url": "<string>",
          "preview": "<string>",
          "visible_to_all_affiliates": "<string>",
          "visible_to_specific_affiliates_only": "<string>",
          "geo_allowed": "<string>",
          "geo_denied": "<string>",
          "rules": [
            [
              [
                "<string>"
              ]
            ]
          ],
          "percent": "<string>",
          "status": "<string>",
          "offer_id": "<string>",
          "created": "<string>",
          "updated": "<string>",
          "type_selected": "<string>"
        },
        "count_impressions": 123,
        "html_code": "<string>",
        "plain_text": "<string>",
        "xml_feed_url": "<string>",
        "status": 123,
        "added_date": "<string>",
        "language": "<string>",
        "tracking_domain": "<string>",
        "visibleToAffiliates": {
          "visibleToAll": true,
          "visibleToSpecific": [
            {}
          ]
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

Query Parameters

page
integer

Page number.

perPage
integer

Items per page.

sortField
string

Sort field.

sortDirection
enum<string>

Sort direction.

Available options:
asc,
desc

Response

Creatives list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object